rte_pmu(3)

NAME
rte_pmu

SYNOPSIS

#include <rte_pmu.h>

  Public Member Functions

TAILQ_HEAD (, rte_pmu_event) event_list

  Data Fields

struct rte_pmu_event_group event_groups [RTE_MAX_LCORE]
unsigned int num_group_events
unsigned int initialized
char * name

Detailed Description

A PMU state container.

Definition at line 64 of file rte_pmu.h.

Member Function Documentation

  TAILQ_HEAD (rte_pmu_event )
list of matching events

Field Documentation

  struct rte_pmu_event_group event_groups[RTE_MAX_LCORE]
event groups

Definition at line 65 of file rte_pmu.h.

  unsigned int num_group_events
number of events in a group

Definition at line 66 of file rte_pmu.h.

  unsigned int initialized
initialization counter

Definition at line 67 of file rte_pmu.h.

  char* name
name of core PMU listed under /sys/bus/event_source/devices

Definition at line 68 of file rte_pmu.h.

Author

Generated automatically by Doxygen for DPDK from the source code.